Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 243931 - Can't create hotkey for git changes results window.
Can't create hotkey for git changes results window.
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
8.0
PC Windows 7
: P3 (vote)
: 8.0.1
Assigned To: Ondrej Vrabec
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-18 21:07 UTC by ChrisLE
Modified: 2014-06-22 01:24 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ChrisLE 2014-04-18 21:07:53 UTC
When I create a shortcut for git show changes all is ok inside a file or for a selected project. The git show changes or changes results window comes up with my changes. I undock it to get more size for my sourcecode and when I take a look inside the file with diff, the git changes window disappears, so far so good and now I can't open it with a new hotkey as for "Search Results". I have to execute the hotkey for "Git Show Changes". When the cursor is inside the current file and I execute the hotkey I only see the changes inside the current file, so I have to select the project and execute it again. Thats not very handy I think.

As you can see for the search results you can search smth and you can open the search results with two different hotkeys. For now its not possible to do it with the git (or version control) windows. This feature would be very handy.


Cheers,

Chris
Comment 1 Ondrej Vrabec 2014-06-20 12:40:07 UTC
i added an action opening the window without changing its focus. Please assign it a shortcut suitable to your needs and you can use it. Tools -> Options -> Keymap, Open Status Window under the Git category.

fixed: core-main #1c0926a664e3
Comment 2 Quality Engineering 2014-06-22 01:24:47 UTC
Integrated into 'main-silver', will be available in build *201406220001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/1c0926a664e3
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: Issue #243931 - Can't create hotkey for git changes results window.
add an action opening the status window without changing its context


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo